/*Some CSS*/
* {margin: 0; padding: 0;}
.magnify {width: 200px; margin: 50px auto; position: relative;}

/*Lets create the magnifying glass*/
.large {
    width: 175px; height: 175px;
    position: absolute;
    border-radius: 100%;

    /*Multiple box shadows to achieve the glass effect*/
    box-shadow: 0 0 0 7px rgba(255, 255, 255, 0.85),
    0 0 7px 7px rgba(0, 0, 0, 0.25),
    inset 0 0 40px 2px rgba(0, 0, 0, 0.25);

    /*Lets load up the large image first*/
    background: url('http://i59.tinypic.com/2upvfio.jpg') no-repeat;

    /*hide the glass by default*/
    display: none;
}

/*To solve overlap bug at the edges during magnification*/
.small { display: block; }